Bug 170747 - [MAINTAINER] games/thegrind: Makefile changed, OptionsNG
Summary: [MAINTAINER] games/thegrind: Makefile changed, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 17:10 UTC by nemysis
Modified: 2012-08-21 10:20 UTC (History)
1 user (show)

See Also:


Attachments
thegrind-0.1.2_2.patch (599 bytes, patch)
2012-08-18 17:10 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 17:10:13 UTC
Makefile changed:

OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}


Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Jason Helfman freebsd_committer 2012-08-20 00:22:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-08-21 10:15:39 UTC
Author: jgh
Date: Tue Aug 21 09:15:20 2012
New Revision: 302850
URL: http://svn.freebsd.org/changeset/ports/302850

Log:
  - optionsNG for DOCS
  
  PR:	170747
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/thegrind/Makefile   (contents, props changed)

Modified: head/games/thegrind/Makefile
==============================================================================
--- head/games/thegrind/Makefile	Tue Aug 21 08:45:50 2012	(r302849)
+++ head/games/thegrind/Makefile	Tue Aug 21 09:15:20 2012	(r302850)
@@ -36,8 +36,11 @@ PLIST_DIRSTRY=	share/applications
 PORTDATA=	*
 PORTDOCS=	ChangeLog
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/ChangeLog ${DOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-08-21 10:15:40 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!